## python-distro 1.3.0

=== debian/changelog ===
python-distro (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout

  [ Colin Watson ]
  * Fix python3-distro description to say that it's for Python 3, not Python
    2 (closes: #892876).

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Removed version of python-all build-depends.
  * Switched to debhelper 10.
  * Point VCS URLs to Salsa.
  * Standards-Version is now 4.2.0 (no change).
  * Add python{3,}-pybuild as build-depends.
  * Add remove-non-ascii-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 14:18:05 +0200
