## python-distro 1.4.0

=== debian/changelog ===
python-distro (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.0
  * Bump debhelper to 12
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Add Rules-Requires-Root: no
  * Remove override_dh_python2 in d/rules
  * Remove remove-non-ascii-tests.patch, tests now succeeds
  * Add Upstream-Contact to d/copyright

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 24 Jan 2020 21:44:05 +0100

python-distro (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #937702).

 -- Ondřej Nový <onovy@debian.org>  Mon, 14 Oct 2019 10:35:20 +0200
