## python-distro 1.5.0

=== debian/changelog ===
python-distro (1.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 May 2020 12:49:35 -0400
