=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import distro; print(distro)"
Depends: python3-distro

Tests: api-3.py
Depends: python3-distro
