=== debian/changelog ===
python-distro (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 19 Feb 2022 10:54:14 -0400

python-distro (1.6.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Adopt package, it needs a human maintainer.
  * Extend UMEGAYA.
  * Add autopkgtest that runs upstream test suite.
  * Drop trivial import autopkgtest.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Sep 2021 14:43:00 -0700

python-distro (1.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * d/control: drop Barry Warsaw from uploaders upon retirement - thanks for
    your contributions! (Closes: #970166)
  * d/watch: use github as upstream
  * d/control, copyright: update homepage URL
  * New upstream version 1.6.0
  * d/control: debhelper compat 13
  * d/tests/api-3.py: drop deprecated API calls
  * d/control: mark python3-distro as multi-arch: foreign (Closes: #962664)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 17 Aug 2021 17:55:53 +0000
