=== debian/watch ===
version=4
https://github.com/python-distro/distro/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
