## python-distro 1.8.0

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 .PHONY: build
 build:
-	python setup.py sdist bdist_wheel
+	python -m build
 
 .PHONY: publish
 publish:
@@ -72,12 +72,12 @@
 .PHONY: instdev
 instdev:
 	pip install -r dev-requirements.txt
-	python setup.py develop
+	pip install -e .
 	@echo "$@ done."
 
 .PHONY: install
 install:
-	python setup.py install
+	pip install .
 	@echo "$@ done."
 
 .PHONY: clobber
