=== debian/changelog ===
python-distro (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with pybuild.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 14 Oct 2022 17:00:22 +0200
