## python-distro 1.9.0

=== debian/changelog ===
python-distro (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Dec 2023 10:47:00 -0400
